Create Truckload Order

Create truckload order by the authed customer.

Request Body Sample

{
  "tenant": "cgit",
  "order": {
    "type": "truckload",
    "customer": "Eurybia Logistics Inc",
    "reference_no": "124611",
    "appointment": {
      "date": "2024-08-12",
      "start": "08:00",
      "end": "16:00"
    },
    "last_free_day": "",
    "equipment_type": "Dry Van 53'",
    "remarks": {
      "pickup": "MUST HAVE SWING DOORS",
      "delivery": "MUST HAVE SWING DOORS"
    },
    "stops": [
      {
        "name": "RJW Dallas",
        "address": "2830 E Scyene Rd, Mesquite, TX US 75181",
        "instructions": "11 pallets"
      },
      {
        "name": "UNFI Lancaster",
        "address": "2100 Danieldale Rd, Lancaster, TX US 75134",
        "instructions": "11 pallets"
      }
    ],
    "items": [
      {
        "type": "pieces",
        "qty": 11,
        "pieces": 2216,
        "stackable": "",
        "length": "",
        "width": "",
        "height": "",
        "weight_lbs": 17328,
        "commodity": "Food Goods"
      }
    ],
    "charges": [
      {
        "type": "Base Rate",
        "amount": "300.00"
      }
    ]
  }
}
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required
order
object
required
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json